// =====================================================================
//  $Id: TQtUserInterface.cc,v 1.3 2003/10/06 17:02:40 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TQtUserInterface.cc,v $
//  Revision 1.3  2003/10/06 17:02:40  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:18:51  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifdef __CLDAQ_QT_USE
#include "TQtUserInterface.hh"

TQtUserInterface::TQtUserInterface( const Tstring& history )
  : TUserInterface( history ), theAcceptString( "" )
{;}

TQtUserInterface::~TQtUserInterface()
{;}

Tbool TQtUserInterface::AcceptCommand()
{
  return Ttrue;
}

const Tstring& TQtUserInterface::GetInputCommand()
{
  return theAcceptString;
}

Tvoid TQtUserInterface::NotFoundCommand( const Tstring& commandname ) const
{
  return;
}

#endif
